# Uses of Enum Class
com.destroystokyo.paper.event.server.GS4QueryEvent.QueryType

Packages that use GS4QueryEvent.QueryType
Package
Description
com.destroystokyo.paper.event.server

## Uses of GS4QueryEvent.QueryType in com.destroystokyo.paper.event.server

Methods in com.destroystokyo.paper.event.server that return GS4QueryEvent.QueryType
Modifier and Type
Method
Description
`@NotNull GS4QueryEvent.QueryType`
GS4QueryEvent.`getQueryType()`
Get query type
`static GS4QueryEvent.QueryType`
GS4QueryEvent.QueryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GS4QueryEvent.QueryType[]`
GS4QueryEvent.QueryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.server with parameters of type GS4QueryEvent.QueryType
Modifier
Constructor
Description
``
`GS4QueryEvent(@NotNull GS4QueryEvent.QueryType queryType, @NotNull InetAddress querierAddress, @NotNull GS4QueryEvent.QueryResponse response)`